﻿using UnityEngine;
using System.Collections;

public class Webcam : MonoBehaviour {
	WebCamTexture tex;
	Texture2D preview;
	// Use this for initialization
	void Start () {
		var devices = WebCamTexture.devices;
		tex = new WebCamTexture();
		
		if(devices.Length >1){
			tex.deviceName = devices[1].name;
		}else{tex.deviceName= devices[0].name;}
		
		tex.Play();
		preview = new Texture2D(tex.width,tex.height);
	}
	
	// Update is called once per frame
	void Update () {
			
		preview.SetPixels(tex.GetPixels());
		preview.Apply();
		renderer.material.mainTexture = preview;
	}
}
